package com.admarvel.androidbanneradsdemo;

import java.util.HashMap;
import java.util.Map;

import com.admarvel.android.ads.AdMarvelUtils.ErrorReason;
import com.admarvel.android.ads.AdMarvelUtils.SDKAdNetwork;
import com.admarvel.android.ads.AdMarvelView;
import com.admarvel.android.ads.AdMarvelView.AdMarvelViewListener;
import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class AdMarvelBannerAdsDemoActivity extends Activity implements AdMarvelViewListener{
		
	private String TAG = "AdMarvelBannerAdsDemoActivity";
	private String _siteId = "35961";
	private String _partnerId = "1dd21b33bd603c95";	
			
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        final Button button = (Button) findViewById(R.id.Button01);

		final EditText editText01 = (EditText) findViewById(R.id.EditText01);

		final EditText editText02 = (EditText) findViewById(R.id.EditText02);

		AdMarvelView adMarvelView = (AdMarvelView) findViewById(R.id.ad);
		adMarvelView.setEnableClickRedirect(true);
		adMarvelView.setDisableAnimation(false);
		adMarvelView.setListener(this);
		adMarvelView.setEnableAutoScaling(true);

		editText01.setText(_partnerId);
		editText02.setText(_siteId);
		
		button.setOnClickListener(new OnClickListener()
		{

			public void onClick(View v)
			{

				try
				{
					Map<String, Object> targetParams = new HashMap<String, Object>();
					//targetParams.put("GEOLOCATION", "39.1059775,-94.5785683");
					targetParams.put("KEYWORDS", "fantasy");
					targetParams.put("POSTAL_CODE", "64106");

					final EditText editText01 = (EditText) findViewById(R.id.EditText01);
					final EditText editText02 = (EditText) findViewById(R.id.EditText02);

					String partnerId = editText01.getText().toString();
					String siteId = editText02.getText().toString();

					AdMarvelView adMarvelView = (AdMarvelView) findViewById(R.id.ad);
					adMarvelView.requestNewAd(targetParams, partnerId, siteId);
				}
				catch (Exception e)
				{
					// TODO Auto-generated catch block

					Log.e(TAG, e.getStackTrace().toString());
				}

			}

		});
		
    }
    
	@Override
	protected void onResume()
	{
		// TODO Auto-generated method stub
		super.onResume();
		
		try
		{
			AdMarvelView adMarvelView = (AdMarvelView) findViewById(R.id.ad);
			AdMarvelView.resume(this, null, adMarvelView);

		}
		catch (Exception e)
		{
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}

	@Override
	protected void onPause()
	{
		// TODO Auto-generated method stub
		super.onPause();
		
		try
		{
			AdMarvelView adMarvelView = (AdMarvelView) findViewById(R.id.ad);
			AdMarvelView.pause(this, null, adMarvelView);

		}
		catch (Exception e)
		{
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}

	@Override
	public void onStart()
	{
		super.onStart();
		try
		{
			// Initialized SDKs that need to; pass in publisher ids
			Map<SDKAdNetwork, String> publisherIds = new HashMap<SDKAdNetwork, String>();
			
			AdMarvelView.initialize(this, publisherIds);

		}
		catch (Exception e)
		{
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		// your code
	}

	

	@Override
	public void onStop()
	{
		super.onStop();

		try
		{
			Map<SDKAdNetwork, String> publisherIds = new HashMap<SDKAdNetwork, String>();
			
			AdMarvelView.uninitialize(this, publisherIds);

		}
		catch (Exception e)
		{
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		// your code
	}

	@Override
	protected void onDestroy()
	{
		// TODO Auto-generated method stub
		super.onDestroy();
		AdMarvelView adMarvelView = (AdMarvelView) findViewById(R.id.ad);
		if (adMarvelView != null)
		{
			adMarvelView.destroy();
		}
	}

	public void onReceiveAd(AdMarvelView adMarvelView)
	{
		Log.e(TAG, "onReceiveAd");
		adMarvelView.focus();		
	}

	public void onFailedToReceiveAd(AdMarvelView adMarvelView, int errorCode,
			ErrorReason errorReason)
	{
		Log.e(TAG, "onFailedToReceiveAd");
		
	}

	public void onClickAd(AdMarvelView adMarvelView, String clickUrl)
	{
		Log.e(TAG, "onClickAd: "+clickUrl);
		
	}

	public void onRequestAd(AdMarvelView adMarvelView)
	{
		Log.e(TAG, "onRequestAd");
		
	}

	public void onExpand()
	{
		Log.e(TAG, "onExpand");
		
	}

	public void onClose()
	{
		Log.e(TAG, "onClose");
		
	}
}